Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface QueryInfo

All Superinterfaces:
  java.io.Serializable

    public interface QueryInfo

extends java.io.Serializable

Represents a query defined in catalog

Since:
  version 12

Method Summary
`java.lang.String` | `getBusinessViewName()` get business view name which is based on the query
`java.util.List<BusinessViewInfo>` | `getBusinuessViewInfos()` get `BusinessViewInfo` objects which built based on the query.
`java.lang.String[]` | `getConnectionNames()` get connection names that this query refers to.
`java.lang.String` | `getDatasourceName()` get datasource name of the query.
`java.lang.String` | `getName()` get name of the query.
`int` | `getQueryType()` get query type of this query.
`java.lang.String` | `getReportCubeName()` get report cube name which is based on the query
`boolean` | `isValidForCRD()` check if the query can be used to create Cache Report Data (CRD).
`boolean` | `isValidForCube()` check if the business view can be used to create cube.

Method Detail

### getDatasourceName

    java.lang.String getDatasourceName()

  get datasource name of the query.

  Returns:
    datasource name

### getName

    java.lang.String getName()

  get name of the query.

  Returns:
    query name

### getBusinessViewName

    java.lang.String getBusinessViewName()

  get business view name which is based on the query

  Returns:
    business view name which based on the query, if no business view created based on the query, return `null`

### getBusinuessViewInfos

    java.util.List<BusinessViewInfo> getBusinuessViewInfos()

  get `BusinessViewInfo` objects which built based on the query.

  Returns:
    `BusinessViewInfo` objects which based on the query, return empty list if no business view created based on the query.
  Since:
    version 13.1

### isValidForCube

    boolean isValidForCube()

  check if the business view can be used to create cube.

  Returns:
    `true` if there is a business view based on this query and the the business view is valid to create cube, otherwise `false`

### getReportCubeName

    java.lang.String getReportCubeName()

  get report cube name which is based on the query

  Returns:
    report cube name which based on the query, if no report cube created based on the query, return `null`

### isValidForCRD

    boolean isValidForCRD()

  check if the query can be used to create Cache Report Data (CRD).

  Returns:
    `true` if the query is valid to create CRD, otherwise `false`

### getConnectionNames

    java.lang.String[] getConnectionNames()

  get connection names that this query refers to.

  Returns:
    connection names

### getQueryType

    int getQueryType()

  get query type of this query.

  Returns:
    query type, following are available value:
    - `APIConst.IMPORTED_SQL`
    - `APIConst.TAG_STORED_PROCEDURE`
    - `APIConst.TAG_USER_DEFINED`
    - `APIConst.TAG_HIERARCHICAL`
    - `APIConst.TAG_QUERY`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD